Loading...
Searching...
No Matches
cpe_parser_ctx Struct Reference

## Public Member Functions

bool | cpe_parser_ctx_version_gt (struct cpe_parser_ctx *ctx, const char *version)
| Compare version of the parsed documnet with a reference version.

## Data Fields

xmlTextReaderPtr | reader
bool | owns_reader
char * | schema_version

## Member Function Documentation

## cpe_parser_ctx_version_gt()

bool cpe_parser_ctx_version_gt | ( | struct cpe_parser_ctx * | ctx,
|  | const char * | version )

Compare version of the parsed documnet with a reference version.

Parameters

  ctx | CPE parser context
  version | reference version to compare with

Returns
  true when the parser's version is greater than reference version.

The documentation for this struct was generated from the following files:

- cpe_ctx_priv.c
- cpe_ctx_priv.h